# CoinTreeSiblings Class Reference

`#include <CoinSearchTree.hpp>`

Collaboration diagram for CoinTreeSiblings:
[legend]

List of all members.

## Public Member Functions
| CoinTreeSiblings (const int n, CoinTreeNode **nodes)
| CoinTreeSiblings (const CoinTreeSiblings &s)
| ~CoinTreeSiblings ()
CoinTreeNode * | currentNode () const
bool | advanceNode ()
| returns false if cannot be advanced
int | toProcess () const
int | size () const
void | printPref () const
## Private Member Functions
| CoinTreeSiblings ()
CoinTreeSiblings & | operator= (const CoinTreeSiblings &)
## Private Attributes
int | current_
int | numSiblings_
CoinTreeNode ** | siblings_

## Detailed Description

Definition at line 110 of file CoinSearchTree.hpp.

## Constructor & Destructor Documentation

CoinTreeSiblings::CoinTreeSiblings | ( |  | ) | `[private]`

CoinTreeSiblings::CoinTreeSiblings | ( | const int | n,
|  | CoinTreeNode ** | nodes |
| ) |  |  | `[inline]`

Definition at line 119 of file CoinSearchTree.hpp.

CoinTreeSiblings::CoinTreeSiblings | ( | const CoinTreeSiblings & | s | ) | `[inline]`

Definition at line 124 of file CoinSearchTree.hpp.

CoinTreeSiblings::~CoinTreeSiblings | ( |  | ) | `[inline]`

Definition at line 131 of file CoinSearchTree.hpp.

## Member Function Documentation

CoinTreeSiblings& CoinTreeSiblings::operator= | ( | const CoinTreeSiblings & |  | ) | `[private]`

CoinTreeNode* CoinTreeSiblings::currentNode | ( |  | ) | const`[inline]`

Definition at line 132 of file CoinSearchTree.hpp.

bool CoinTreeSiblings::advanceNode | ( |  | ) | `[inline]`

returns false if cannot be advanced

Definition at line 134 of file CoinSearchTree.hpp.

int CoinTreeSiblings::toProcess | ( |  | ) | const`[inline]`

Definition at line 135 of file CoinSearchTree.hpp.

int CoinTreeSiblings::size | ( |  | ) | const`[inline]`

Definition at line 136 of file CoinSearchTree.hpp.

void CoinTreeSiblings::printPref | ( |  | ) | const`[inline]`

Definition at line 137 of file CoinSearchTree.hpp.

## Member Data Documentation

int CoinTreeSiblings::current_`[private]`

Definition at line 115 of file CoinSearchTree.hpp.

int CoinTreeSiblings::numSiblings_`[private]`

Definition at line 116 of file CoinSearchTree.hpp.

CoinTreeNode** CoinTreeSiblings::siblings_`[private]`

Definition at line 117 of file CoinSearchTree.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/CoinUtils-2.9.4/CoinUtils/src/CoinSearchTree.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines